"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.SCROLLBAR_DIMENSION = exports.GlobalScrollbarStyle = void 0;

var _styledComponents = require("styled-components");

var _designparams = require("../designparams");

var SCROLLBAR_DIMENSION = 12;
exports.SCROLLBAR_DIMENSION = SCROLLBAR_DIMENSION;
var COMMON_CSS = "\n  border-radius: 12px;\n  border: 4px solid transparent;\n  background-clip: padding-box;\n";
var GlobalScrollbarStyle = (0, _styledComponents.createGlobalStyle)(["::-webkit-scrollbar{width:", "px;height:", "px;&-thumb{background:", ";", " min-height:", ";min-width:", ";}&-track{background:", ";", "}}"], SCROLLBAR_DIMENSION, SCROLLBAR_DIMENSION, _ref => {
  var {
    theme
  } = _ref;
  return theme.color.element11();
}, COMMON_CSS, _designparams.componentSize.large, _designparams.componentSize.large, _ref2 => {
  var {
    theme
  } = _ref2;
  return theme.color.element12();
}, COMMON_CSS);
exports.GlobalScrollbarStyle = GlobalScrollbarStyle;