"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ToastsContext = exports.ToastActionType = exports.NI = void 0;

var _react = require("react");

var ToastActionType;
exports.ToastActionType = ToastActionType;

(function (ToastActionType) {
  ToastActionType[ToastActionType["TOAST_CREATE"] = 0] = "TOAST_CREATE";
  ToastActionType[ToastActionType["TOAST_REMOVE"] = 1] = "TOAST_REMOVE";
  ToastActionType[ToastActionType["TOAST_REMOVE_ALL"] = 2] = "TOAST_REMOVE_ALL";
})(ToastActionType || (exports.ToastActionType = ToastActionType = {}));

var NI = () => {
  throw new Error("Not implemented: no ToastContext set");
};

exports.NI = NI;
var ToastsContext = /*#__PURE__*/(0, _react.createContext)({
  showToast: NI,
  hideToast: NI,
  clearToasts: NI,
  showSuccessToast: NI,
  showErrorToast: NI,
  showWarningToast: NI,
  showInfoToast: NI,
  showLoadingToast: NI,
  showProgressToast: NI,
  showActionToast: NI,
  __dispatchRef: {
    current: NI
  }
});
exports.ToastsContext = ToastsContext;