export declare type EscapeHandler = (evt: KeyboardEvent) => void;
/**
 * Calls the last registered handler when the Escape key has been pressed
 * @param handler - Escape handler callback. Must be constant.
 */
export declare const useEscapeListenerStack: (handler: EscapeHandler) => void;
