export declare type TypographyVariant = 'chip-tag-text' | 'explanatory-text' | 'caption' | 'navigation-group' | 'navigation-label' | 'card-title' | 'group-title' | 'column-heading' | 'header-title' | 'default-text' | 'dialog-heading' | 'page-heading' | 'button-text' | 'compact-label';
/**
 *
 * Generic typography
 *
 */
export interface TypographyProps {
    readonly variant?: TypographyVariant;
}
export declare const Typography: import("styled-components").StyledComponent<"p", import("styled-components").DefaultTheme, TypographyProps, never>;
